using System;
using Pipe.IO;

class Program
{
    static void Main(string[] args)
    {
        using (var t = new PipeIO("in", "out"))
        {
            t.reader.OnMessage += (String msg) => t.writer.SendMessage(msg);
            t.reader.Run();
        }
    }
}
